% Function to calculate the CAPEX

function CAPEX = GetCAPEX(Case,Retrofit_year,Retrofit_cost,Loan,T_vessel,ir)

r = ir;

%Loan*(1+r) = A + A/(1+r) + A/(1+r)^2 + A/(1+r)^3
%  = A (1-(1/1+r)^N)/(1-(1/(1+r))

AnnualPayment = Loan*(1+r)/((1-(1/(1+r))^T_vessel)/(1-1/(1+r)));

Interest = zeros(1,T_vessel+1);
Principal = zeros(1,T_vessel+1);
Loan_size = zeros(1,T_vessel+1);
CAPEX = zeros(1,T_vessel);

Loan_size(1)=Loan;
Interest(1)=0;
Principal(1)=0;
for i=2:T_vessel+1
    Interest(i) = Loan_size(i-1)*r;
    Principal(i) = AnnualPayment-Interest(i);
    Loan_size(i) = Loan_size(i-1)-Principal(i);
end
Principal = Principal(2:end);
Interest = Interest(2:end);
for i=1:T_vessel
    CAPEX(i) = Interest(i) + Principal(i); % To check AnnualPayment calc in 
                                           % line 10 and get vector format
end

if Case == 2 % Added CAPEX of LPG retrofit, pay-down time of 5 years
    Payments = 5;
    AddedAnnualPayment = Retrofit_cost*(1+r)/((1-(1/(1+r))^Payments)/(1-1/(1+r)));
    Payment_start = Retrofit_year+1;
    Last_Payment = Payment_start+Payments-1;
    for i=Payment_start:Last_Payment
        CAPEX(i) = CAPEX(i) + AddedAnnualPayment;
    end
end
end

