
run NPV_ShipConventional % Make sure Case = 1
BasecaseNPV = NPV;

years = [5 10 15];
l = length(years);
Retrofit = [(6e6*(1+.02)^5)*1.25 (6e6*(1+.02)^10)*1.25 (6e6*(1+.02)^15)*1.25];
% Compunded to get future value of retrofit, + 30% due to retrofit itself

EstimatedNPV1 = zeros(l,nSim);
EstimatedNPV2 = zeros(l,nSim);

% Fuel flexible
for i=1:l
    Regulation_year = years(i);
    Retrofit_year = Regulation_year - 1;
    
    VOYEX_diff = VOYEX2(Case,Consumption,VLSFO,LPG,T_vessel,Retrofit_year,...
        FuelDiff,Regulation_year,Sailing_days);
    CAPEX = GetCAPEX(Case,Retrofit_year,Retrofit_cost,Loan,T_vessel,ir);
    CF = CashFlow(T_vessel,VOYEX_diff,...
        OPEX_nonfuel,MeanEarningsRate,Loan,Case,Retrofit_year,Drydock_days,...
        CAPEX,Sailing_days,LPG_lossfactor);
    NPV = GetNPV(CF,dr,nSim,T_vessel,Vessel_Value,Equity,Plots);

    EstimatedNPV1(i,:) = NPV;
end    


% Retrofit case
for i=1:l
    Case = 2; % Now retrofitting... 
    
    [dr, ir, Vessel_age, T_vessel, PurchasePrice, Vessel_Value,...
    NH3_start, LPG_start, OPEX_nonfuel,...
    VLSFO_start, Consumption, Loan,Drydock_days,Retrofit_cost,...
    Retrofit_year,Equity,Regulation_year,Sailing_days,LPG_lossfactor,...
    Debt_ratio,Steel_price,Scrap_value] = GetCaseCharacteristics(Case);
    
    Regulation_year = years(i);
    Retrofit_year = Regulation_year - 1;
    Retrofit_cost = Retrofit(i);
    
    VOYEX_diff = VOYEX2(Case,Consumption,VLSFO,LPG,T_vessel,Retrofit_year,...
        FuelDiff,Regulation_year,Sailing_days);
    CAPEX = GetCAPEX(Case,Retrofit_year,Retrofit_cost,Loan,T_vessel,ir);
    CF = CashFlow(T_vessel,VOYEX_diff,...
        OPEX_nonfuel,MeanEarningsRate,Loan,Case,Retrofit_year,Drydock_days,...
        CAPEX,Sailing_days,LPG_lossfactor);
    NPV = GetNPV(CF,dr,nSim,T_vessel,Vessel_Value,Equity,Plots);

    EstimatedNPV2(i,:) = NPV;
end
figure(1337)
subplot(1,3,1)
hold on
a = cdfplot(EstimatedNPV1(1,:));
b = cdfplot(EstimatedNPV2(1,:));
title('New regulations in 2025')
legend('Flexibility','Retrofit','Location','northwest')
xlabel('NPV [USD]')
ylabel('Cumulative probability')
xlim([-3e7 2e7])
subplot(1,3,2)      
hold on
c=cdfplot(EstimatedNPV1(2,:));
d=cdfplot(EstimatedNPV2(2,:));
title('New regulations in 2030') 
legend('Flexibility','Retrofit','Location','northwest')
xlabel('NPV [USD]')
ylabel('Cumulative probability')
xlim([-2.5e7 2e7])
subplot(1,3,3)
hold on
e=cdfplot(EstimatedNPV1(3,:));
f=cdfplot(EstimatedNPV2(3,:));
title('New regulations in 2035')
legend('Flexibility','Retrofit','Location','northwest')
xlabel('NPV [USD]')
ylabel('Cumulative probability')
xlim([-1.5e7 2e7])

set(a, 'LineWidth',1.6);set(b, 'LineWidth',1.6);set(c, 'LineWidth',1.6);
set(d, 'LineWidth',1.6);set(e, 'LineWidth',1.6);set(f, 'LineWidth',1.6);
avg1 = mean(EstimatedNPV1(1,:));avg2 = mean(EstimatedNPV1(2,:));
avg3 = mean(EstimatedNPV1(3,:));avg4 = mean(EstimatedNPV2(1,:));
avg5 = mean(EstimatedNPV2(2,:));avg6 = mean(EstimatedNPV2(3,:));
